﻿@model JavnaNabava.Model.AddTvrtkaDTO

@{
    ViewData["Title"] = "AddTvrtka";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj tvrtku</h1>

<p>
    <small>
        Obrazac za dodavanje nove tvrtke u bazu podataka. 
        Sva polja su obavezna. Oib se mora sastojati od točno 11 brojeva. 
        Nakon klika na gumb dodaj, korisnik se preusmjerava na popis tvrtki i dobiva prikladnu poruku je li tvrtka uspješno ili 
        neuspješno dodana u bazu. 
        Mjesto i Djelatnost su strani ključevi u tablici te se izabiru preko padajućeg izbornika.
    </small>
</p>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddTvrtka">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="OIB" class="control-label"></label>
                <input asp-for="OIB" class="form-control" />
                <span asp-validation-for="OIB" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Naziv" class="control-label"></label>
                <input asp-for="Naziv" class="form-control" />
                <span asp-validation-for="Naziv" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PostanskiBroj" class="control-label"></label>
                <select asp-for="PostanskiBroj" class="form-control" asp-items="ViewBag.FkMjesto">
                    <option selected value="" disabled>Odaberite mjesto</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="Adresa" class="control-label"></label>
                <input asp-for="Adresa" class="form-control" />
                <span asp-validation-for="Adresa" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="idDjelatnost" class="control-label"></label>
                <select asp-for="idDjelatnost" class="form-control" asp-items="ViewBag.sifDjelatnost">
                    <option selected value="" disabled>Odaberite djelatnost</option>
                </select>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
